6.0.0-git
2019-04-21

[#7057] wrong empty DB file
Summary wrong empty DB file
Queue Vacation
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester rsalmon (at) mbpgroup (dot) com
Created 2008-07-11 (3936 days ago)
Due
Updated 2008-07-15 (3932 days ago)
Assigned 2008-07-15 (3932 days ago)
Resolved 2008-07-15 (3932 days ago)
Milestone
Patch No

History
2008-07-15 09:11:16 Jan Schneider Comment #5
State ⇒ Resolved
Reply to this comment
Committed, thanks.
2008-07-15 09:11:11 CVS Commit Comment #4 Reply to this comment
2008-07-15 08:56:39 Jan Schneider Assigned to Jan Schneider
State ⇒ Assigned
 
2008-07-15 07:42:44 rsalmon (at) mbpgroup (dot) com Comment #3
New Attachment: forward.patch Download
Reply to this comment
The patch doesn't apply. Please use latest CVS HEAD and upload
patches as ticket attachments.
file vacation/lib/Driver/forwards.php

CVS/Entries : /forwards.php/1.53/Tue Jul 15 07:37:48 2008//




2008-07-12 17:33:03 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
The patch doesn't apply. Please use latest CVS HEAD and upload patches 
as ticket attachments.
2008-07-11 07:28:55 rsalmon (at) mbpgroup (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ wrong empty DB file
Queue ⇒ Vacation
Milestone ⇒
Patch ⇒ No
Reply to this comment
here is a patch

--- forwards.php.org    2008-07-11 09:26:24.000000000 +0200

+++ forwards.php        2008-07-10 19:13:00.000000000 +0200

@@ -63,13 +63,19 @@



          // Build the message.

          $full_message = $this->_buildMessage($message, $subject, $from);

+        // Set up the vacation specific files first.

+

+        $status = $this->_vfs->writeData('', '.vacation.msg', $full_message);

+        if (is_a($status, 'PEAR_Error')) {

+            $this->err_str = $status->getMessage();

+            return false;

+        }



          // Set up the vacation specific files first.

-        foreach (array('.vacation.msg' => $full_message,

-                       '.vacation.pag' => $dbfile,

+        foreach (array('.vacation.pag' => $dbfile,

                         '.vacation.dir' => $dbfile,

                         '.vacation.db'  => $dbfile) as $file => $content) {

-            $status = $this->_vfs->writeData('', $file, $content);

+            $status = $this->_vfs->write('', $file, $content);

              if (is_a($status, 'PEAR_Error')) {

                  return $status;

              }


Saved Queries